Bug 11132 - canNOT install redhat-6.2 from another HDD or from a FTP site
canNOT install redhat-6.2 from another HDD or from a FTP site
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-30 14:45 EDT by Michael Ma
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 16:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ma 2000-04-30 14:45:09 EDT
I have two machines.  Machine A has a non-bootable scsi HDD installed
which contains a directory redhat-6.2.  Directory redhat-6.2 contains
the following subdirectories (mapped from a redhat mirror site).

redhat-6.2
 |
 |--- RedHat
 |     |
 |     |--- RPMS (directory)
 |     |--- base (directory)
 |     |--- i386 (0-size file)
 |     |--- instimage (directory)
 |
 |--- images
 |--- misc

When Machine A has a bootable hdd installed, directory redhat-6.2 is
also soft-linked as /home/ftp/pub/redhat-6.2, therefore can be access
to via ftp.

Case 1: Boot Machine A from boot disk and install redhat-6.2 to
/dev/hda from the scsi HDD (/dev/sda).  The boot disk used to boot
Machine A contained boot-20000407.img and command entered in boot:
prompt is "linux updates text".  Update disk contained
update-disk-20000419.img.  The Installation type chosen is custom.
Just after Authentication Configuration, exception occurred.

   ====== Exception Occurred ======
   Traceback (innermost last):
      File "/usr/bin/anaconda.real", line 342, in?
         intf.run (todo, test = test)
      File "/usr/lib/anaconda/text.py" line 1165, in run
         rc = apply (step[1](), step[2])
      File
"/mnt/redhat/comps/install/6.2/i386/misc/src/trees/hdimage//usr/lib/anaconda/textw/packages.py",
line 11,  in __call__
         ...

      (something wrong with the above path in
.../hdimage//usr/lib/...)
                                                         ^^

Case 2: Similar to Case 1 except the command typed is: "linux
updates".  The trace message is exactly the same (at least the first
page).

Case 3: Boot Machine B from boot disk and install redhat-6.2 to HDD
installed in Machine B from the scsi HDD in Machine A.  The
Installation Method chosen is FTP and the Installation Type is
custom.  After Authentication Configuration, it continued to read
package information, show X probe results, and install packages.
However, when it completed packages installation and entered "Post
Install", exception occurred.

   ====== Exception Occurred ======
   Traceback (innermost last):
      File "/usr/bin/anaconda.real", line 342, in?
         intf.run (todo, test = test)
      File "/usr/lib/anaconda/text.py" line 1165, in run
         rc = apply (step[1](), step[2])

      (so far exactly the same as that in Case 1 and 2)

      File "/usr/lib/anaconda/text.py", line 702,  in __call__
         ...

Case 4: Boot Machine B from boot disk and install redhat-6.2 to
/dev/hda installed in Machine B from the scsi HDD in Machine A.  The
Installation Method chosen is FTP and the Installation Type is
server.  Everything is OK.

Based on what I got, I do not see any difference occurred during
installation between "linux updates text" and "linux updates".  It
also seems to me that the server installation can be successful
because it can bypass anaconda.

This kind of bug exists since 6.1 and therefore, I conclude that there must
be something wrong with anaconda.

It is best to have a way bypassing anaconda-related stuff to install 6.2,
like the good old day when installing 6.0.
Comment 1 Jay Turner 2000-05-01 08:47:59 EDT
I am not able to replicate the situation that you describe in Case 1 or 2.  I
would have to assume from your description that you possibly have corrupt files
in the Red Hat image and that is what is causing the problem.  I am able to
perform a hard drive installation from the Zoot source files, booting with the
same boot image and loading up the same updates image.

As for the situation that you describe in case 3 and 4, I would have to see the
whole text of the error message in order to be able to diagnose the problem you
are having there.
Comment 2 Michael Fulbright 2000-06-12 15:17:26 EDT
Waiting for user feedback.
Comment 3 Brent Fox 2000-08-09 16:01:54 EDT
Closed due to inactivity.  Please re-open with more information.

Note You need to log in before you can comment on or make changes to this bug.